#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  SoundTouch-2.4.1

- Next

  SVT-AV1-4.1.0

- Up
- Home

# Speex-1.2.1

## Introduction to Speex

Speex is an audio compression format designed specifically for speech. It is well-adapted to internet applications and provides useful features that are not present in most other CODECs.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/speex/speex-1.2.1.tar.gz

- Download MD5 sum: fe7bf610883ff202092b92c72fe0fe3e

- Download size: 1020 KB

- Estimated disk space required: 7.8 MB

- Estimated build time: less than 0.1 SBU

### Additional Downloads

- Download (HTTP): https://downloads.xiph.org/releases/speex/speexdsp-1.2.1.tar.gz

- Download MD5 sum: e6eb5ddef743a362c8018f260b91dca5

- Download size: 904 KB

- Estimated disk space required: 5.5 MB

- Estimated build time: less than 0.1 SBU

### Speex Dependencies

#### Required

libogg-1.3.6

#### Optional

Valgrind-3.26.0

## Installation of Speex

This package consists of two separate tarballs. They need to be extracted and built independently.

Install Speex by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/speex-1.2.1 &&
    make

This package does not come with a test suite.

As the `root` user:

    make install

Now extract and install the speexdsp package:

    cd ..                          &&
    tar -xf speexdsp-1.2.1.tar.gz &&
    cd speexdsp-1.2.1             &&

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/speexdsp-1.2.1 &&
    make

Again, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: speexenc and speexdec
Installed Libraries: libspeex.so and libspeexdsp.so
Installed Directories: /usr/include/speex and /usr/share/doc/speex-1.2.1

### Short Descriptions

speexdec | decodes a Speex file and produces a WAV or raw file
speexenc | encodes a WAV or raw file using Speex
`libspeex.so` | provides functions for the audio encoding/decoding programs
`libspeexdsp.so` | is a speech processing library that goes along with the Speex codec

- Prev

  SoundTouch-2.4.1

- Next

  SVT-AV1-4.1.0

- Up
- Home